PKG-REPO(8)

NAME
pkg repo - creates a package repository catalogue

SYNOPSIS
pkg repo [-flq] <repo-path> [rsa-key]

DESCRIPTION
pkg repo is used for creating a catalogue of the available packages in a repository. pkg repo catalogues are necessary for sharing your package repository with other people.

When pkg repo is invoked it creates a package repository catalogue (repo.sqlite), with an optional cryptographic signature, as a compressed tarball (repo.txz). Repository users download and cache this on their local machines, for fast lookup of available packages by programs such as pkg-install(8).

To create a package repository catalogue you must specify the top-level directory where all the packages are stored as repo-path. pkg repo will search the filesystem beneath repo-path to find all the packages it contains. Symbolic links are ignored, and only the most recent package for each origin is included in the catalogue. If a catalogue already exists, it will be updated incrementally with any changes to the package collection. This is a significant time savings for large package repositories.

Optionally you may sign the repository catalogue by specifying the path to an RSA private key as the rsa-key argument. Signing the catalogue is strongly recommended.

OPTIONS
The following options are supported by pkg repo:

-q  Force quiet output

-f  Force a full rebuild of the package catalogue, discarding any previous content

-l  Generate list of all files in repo as filesite.txz archive.

ENVIRONMENT
The following environment variables affect the execution of pkg repo. See pkg.conf(5) for further description.

PUBKEY

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)